Problem with MySQL & phpmyadmin starting after 0.7.3 upg

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

Problem with MySQL & phpmyadmin starting after 0.7.3 upg

Postby olded » 13. August 2008 18:08

After getting xampp up and working OK on 0.7.2 I (unfortunately) decided to upgrade to 0.7.3.

Everything appears to have upgraded to the latest versions but, after restarting xampp, MySQL will not start.
Error message in Control panel:
XAMPP: Starting MySQL...
sudo:/Applications/xampp/xamppfiles/bin/mysql.server:
command not found.

Phpmyadmin shows error:
Welcome to XAMPP for Mac OS X 
Warning: include(.version) [function.include]: failed to open stream: No such file or directory in /Applications/xampp/xamppfiles/htdocs/xampp/start.php on line 12

Warning: include() [function.include]: Failed opening '.version' for inclusion (include_path='.:/Applications/xampp/xamppfiles/lib/php') in /Applications/xampp/xamppfiles/htdocs/xampp/start.php on line 12
!
Can anyone suggest a remedy?
olded
 
Posts: 1
Joined: 04. August 2008 16:59

Postby jmdirc » 13. August 2008 22:18

Seems like a lot of folks are having similar issues with mysql after updating. I think most fix their problem by uninstalling; then installing a fresh version of 0.7.3.
User avatar
jmdirc
 
Posts: 154
Joined: 10. February 2008 22:44

Re: Problem with MySQL & phpmyadmin starting after 0.7.3 upg

Postby TShirt » 10. January 2010 21:48

Hi all!
I'm trying to install XAMPP on my Mac with OS X (Snow Leopard) and I've encountered the same error!
My partition is formatted as case sensitive so I've fixed all the wrong paths that I've found around:

Code: Select all
cd /Applications/XAMPP/xamppfiles/bin
sudo rm mysql.server
sudo ln -s /Applications/XAMPP/xamppfiles/share/mysql/mysql.server

Paths in:
/Applications/XAMPP/etc/php.ini
/Applications/XAMPP/etc/proftpd.conf
/Applications/XAMPP/xamppfiles/build/config.nice
/Applications/XAMPP/xamppfiles/etc/extra/httpd-ssl.conf
/Applications/XAMPP/xamppfiles/etc/webalizer.conf
/Applications/XAMPP/xamppfiles/htdocs/xampp/iart.php


Unfortunally I'm still getting the "VERSION" error!

I've also cheched the lang.tmp and looks fine (content and permissions)!

Any other idea?
Is this a known bug?

Thanks


Bye...
TShirt
 
Posts: 9
Joined: 07. June 2008 11:26

Re: Problem with MySQL & phpmyadmin starting after 0.7.3 upg

Postby TShirt » 26. January 2010 00:17

No ideas?
TShirt
 
Posts: 9
Joined: 07. June 2008 11:26


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 3 guests